> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/flutter/setup-luciq-for-flutter/custom-settings/sdk-customization/prompt-options.md).

# Prompt Options

Control the Prompt Options popup that appears when Flutter users invoke Luciq, including which reporting options are offered and how each one is worded.

By default, when the Luciq SDK is shown, a popup appears to your app users with options for them to report a bug ("Report a bug"), share feedback ("Suggest an improvement"), or ask you a question ("Ask a question"). This popup is called the Prompt Options.

All Luciq popups follow the color theme and primary color that you set for the SDK.

By default, all of your enabled products are listed in the Prompt Options menu. You can control which options appear by disabling and enabling any of the products. Each one can be enabled or disabled separately.

{% code title="Dart" %}

```dart
// Disable the Bugs, Feedback, & Questions. If disabled, "Report a problem" "Suggest an improvement" & "Ask a Question" are removed from Luciq's prompt, and manually showing the bug reporting or feedback doesn't have an effect.
BugReporting.setEnabled(true);

// Specify which of the feedback, bug, or question options appear in the prompt options
BugReporting.setReportTypes([ReportType.bug, ReportType.feedback, ReportType.question]);

// Disable the Replies. If disabled, the chats list button is removed from Luciq's prompt, the in-app notifications are disabled, and manually showing the chats list doesn't have an effect.
Replies.setEnabled(true);
```

{% endcode %}

{% hint style="info" %}
When only a single option is enabled, it becomes the default invocation mode. If all options are disabled, bug reporting becomes the default invocation mode and the Prompt Options menu won't appear to your users; instead, they will be shown the bug reporting form.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/flutter/setup-luciq-for-flutter/custom-settings/sdk-customization/prompt-options.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
